import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Tab5Page } from './tab5.page';
import { AuthGuard } from './auth.guard';
import { UserDashboardPage } from './user-dashboard.page';
import { RegisterPage } from './register.page';
import { UploadQualificationPage } from './upload-qualification.page';

const routes: Routes = [
  {
    path: '',
    component: Tab5Page
  },
  {
    path: 'user-dashboard',
    component: UserDashboardPage,
    canActivate: [AuthGuard]
  },
  {
    path: 'upload-qualification',
    loadComponent: () => import('./upload-qualification.page').then(m => m.UploadQualificationPage)
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class Tab5PageRoutingModule {}
